/*
 * Photo Image Print System
 * Copyright (C) SEIKO EPSON CORPORATION 2002-2004.
 *
 *  This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * As a special exception, EPSON KOWA Corporation gives permission to
 * link the code of this program with libraries which are covered by
 * the EPSON KOWA PUBLIC LICENCE and distribute their linked
 * combinations.  You must obey the GNU General Public License in all
 * respects for all of the code used other than the libraries which
 * are covered by EPSON KOWA PUBLIC LICENCE.
 */
#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#ifndef __OPT_RSC__
#define __OPT_RSC__

#include "pipsDef.h"

/* Option Entry */
char *inkEntry[] = {
	"COLOR", "MONO",
	NULL
};

char *binEntry[] = {
	"AUTO",
	NULL
};

char *mediaSizeEntry[] = {
	"A4", "B5", "A5", "LT", "LGL", "EXE", "HLT", "A6",
	"INDEX5", "INDEX8", "ENV10", "ENVDL", "ENVC6", "ENV5X8",
	"PHOTO", "4X6FULL", "PP100", "PP200", "L", "2L", "PANORAM",
	NULL
};

char *mediaSizeEntry_R[] = {
	NULL
};

char *mediaSizeEntry_TR[] = {
	NULL
};

char *mediaSizeEntry_NMA[] = {
	NULL
};

char *resolutionEntry[] = {
	"180", "360", "720",
	NULL
};

char *mediaTypeEntry[] = {
	"PLAIN", "BWIP", "SFINE", "PMMATT",
	"DBSMATT", "ARCMATT", "PSGLOS", "PMPHOTO", "OHP",
	NULL
};

char *colorModeEntry[] = {
	"AUTO", "PHOTO", "GRAPH", "NONE",
	NULL
};

char *halftoneEntry[] = {
	"ED",
	NULL
};

char *levelEntry[] = {
	"DRAFT", "STD", "FINE", "SFINE", "PHOTO", "SPHOTO",
	NULL
};

char *multiPageEntry[] = {
	"1", "2", "4",
	NULL
};




/* pModeCol	:	ColorѰ⡼
   pModeMono	:	MonochromeѰ⡼

   MediaNumber	:	pipsDef.h 
   Inmput	:	1:180, 2:360, 4:720
   Halftone	:	<or> 1:ED 2:DB
   HighSpeed	:	0:OFF 1:ON 2:ON/OFF
*/
short pModeCol[] = {
30,
/* mediaName    MediaNumber                      Halftone       HighSpeed */
/*                                         Input         MicroWeave     Quality */
/*PLAIN*/       PIPS_MED_PLAIN,      	   1,    1,      0,	1,      0x000,
                PIPS_MED_PLAIN,      	   2,    1,      2,	2,      0x010,
                PIPS_MED_PLAIN,      	   6,    1,      2,	2,      0x220,
                PIPS_MED_PLAIN,      	   4,    1,      1,	2,      0x300,
                PIPS_MED_PLAIN,      	   4,    1,      1,	2,      0x400,

/*BWIP*/        PIPS_MED_BWIP,    	   2,    1,      2,	2,      0x010,
                PIPS_MED_BWIP,    	   6,    1,      2,	2,      0x220,
                PIPS_MED_BWIP,    	   4,    1,      1,	2,      0x300,
                PIPS_MED_BWIP,    	   4,    1,      1,	2,      0x400,

/*COAT720*/     PIPS_MED_COATED720,    	   6,    1,      1,	2,      0x220,
                PIPS_MED_COATED720,    	   6,    1,      1,	2,      0x330,
                PIPS_MED_COATED720,    	   4,    1,      1,	2,      0x400,

/*PM_MATT*/     PIPS_MED_MATT_HEAVY,       6,    1,      1,	2,      0x220,
                PIPS_MED_MATT_HEAVY,       6,    1,      1,	2,      0x330,
                PIPS_MED_MATT_HEAVY,       4,    1,      1,	2,      0x400,
                PIPS_MED_MATT_HEAVY,       4,    1,      1,	2,      0x500,

/*DBS_MATT*/    PIPS_MED_DBS_MATTE,    	   6,    1,      1,	2,      0x220,
                PIPS_MED_DBS_MATTE,    	   6,    1,      1,	2,      0x330,
                PIPS_MED_DBS_MATTE,    	   4,    1,      1,	2,      0x400,
                PIPS_MED_DBS_MATTE,    	   4,    1,      1,	2,      0x500,

/*ARC_MATT*/    PIPS_MED_ARCHIVALMATTE,    6,    1,      1,	2,      0x220,
                PIPS_MED_ARCHIVALMATTE,    6,    1,      1,	2,      0x330,
                PIPS_MED_ARCHIVALMATTE,    4,    1,      1,	2,      0x400,

/*PSEMIGLOSS*/  PIPS_MED_PSEMIGLOSS,       6,    1,      1,	2,      0x330,
                PIPS_MED_PSEMIGLOSS,       4,    1,      1,	2,      0x400,
                PIPS_MED_PSEMIGLOSS,       4,    1,      1,	2,      0x500,

/*PM_PHOTO*/    PIPS_MED_RC_PHOTO,    	   6,    1,      1,	2,      0x330,
                PIPS_MED_RC_PHOTO,    	   4,    1,      1,	2,      0x400,
                PIPS_MED_RC_PHOTO,    	   4,    1,      1,	2,      0x500,

/*OHP*/         PIPS_MED_TRANSPARENCY,     2,    1,      1,	0,      0x020
};

short pModeMono[] = {
30,
/* mediaName    MediaNumber                      Halftone       HighSpeed */
/*                                         Input         MicroWeave     Quality */
/*PLAIN*/       PIPS_MED_PLAIN,      	   1,    1,      0,	1,      0x000,
                PIPS_MED_PLAIN,      	   2,    1,      2,	2,      0x010,
                PIPS_MED_PLAIN,      	   6,    1,      2,	2,      0x220,
                PIPS_MED_PLAIN,      	   4,    1,      1,	2,      0x300,
                PIPS_MED_PLAIN,      	   4,    1,      1,	2,      0x400,

/*BWIP*/        PIPS_MED_BWIP,    	   2,    1,      2,	2,      0x010,
                PIPS_MED_BWIP,    	   6,    1,      2,	2,      0x220,
                PIPS_MED_BWIP,    	   4,    1,      1,	2,      0x300,
                PIPS_MED_BWIP,    	   4,    1,      1,	2,      0x400,

/*COAT720*/     PIPS_MED_COATED720,    	   6,    1,      1,	2,      0x220,
                PIPS_MED_COATED720,    	   6,    1,      1,	2,      0x330,
                PIPS_MED_COATED720,    	   4,    1,      1,	2,      0x400,

/*PM_MATT*/     PIPS_MED_MATT_HEAVY,       6,    1,      1,	2,      0x220,
                PIPS_MED_MATT_HEAVY,       6,    1,      1,	2,      0x330,
                PIPS_MED_MATT_HEAVY,       4,    1,      1,	2,      0x400,
                PIPS_MED_MATT_HEAVY,       4,    1,      1,	2,      0x500,

/*DBS_MATT*/    PIPS_MED_DBS_MATTE,    	   6,    1,      1,	2,      0x220,
                PIPS_MED_DBS_MATTE,    	   6,    1,      1,	2,      0x330,
                PIPS_MED_DBS_MATTE,    	   4,    1,      1,	2,      0x400,
                PIPS_MED_DBS_MATTE,    	   4,    1,      1,	2,      0x500,

/*ARC_MATT*/    PIPS_MED_ARCHIVALMATTE,    6,    1,      1,	2,      0x220,
                PIPS_MED_ARCHIVALMATTE,    6,    1,      1,	2,      0x330,
                PIPS_MED_ARCHIVALMATTE,    4,    1,      1,	2,      0x400,

/*PSEMIGLOSS*/  PIPS_MED_PSEMIGLOSS,       6,    1,      1,	2,      0x330,
                PIPS_MED_PSEMIGLOSS,       4,    1,      1,	2,      0x400,
                PIPS_MED_PSEMIGLOSS,       4,    1,      1,	2,      0x500,

/*PM_PHOTO*/    PIPS_MED_RC_PHOTO,    	   6,    1,      1,	2,      0x330,
                PIPS_MED_RC_PHOTO,    	   4,    1,      1,	2,      0x400,
                PIPS_MED_RC_PHOTO,    	   4,    1,      1,	2,      0x500,

/*OHP*/         PIPS_MED_TRANSPARENCY,     2,    1,      1,	0,      0x020
};

#endif
